package com.zanxiang.game.module.sdk.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2022-11-11
 * @description : 上报枚举
 */
@Getter
@AllArgsConstructor
public enum CallBackEnum {

    /**
     * 未回传提交
     */
    UN_CALL_BACK(0, "未回传提交"),

    /**
     * 回传提交成功
     */
    SUCCESS_CALL_BACK(1, "回传提交成功"),

    /**
     * 回传提交失败
     */
    FAIL_CALL_BACK(2, "回传提交失败");

    /**
     * 数据类型
     */
    private final Integer callBackStatus;

    /**
     * 描述
     */
    private final String name;
}
